﻿Public Class Form1
    ' フォームのロード処理
    Private Sub Form1_Load(ByVal sender As System.Object, _
                           ByVal e As System.EventArgs) Handles MyBase.Load
        Button2.Enabled = False
        Button3.Enabled = False
        Button4.Enabled = False
    End Sub

    ' 表示ボタンの押下処理
    Private Sub Button1_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button1.Click
        WebBrowser1.Navigate(TextBox1.Text)
    End Sub

    ' 戻るボタンの押下処理
    Private Sub Button2_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button2.Click
        If WebBrowser1.CanGoBack Then
            WebBrowser1.GoBack()
        Else
            MessageBox.Show("戻るページがありません。", "戻る")
        End If
    End Sub

    ' 進むボタンの押下処理
    Private Sub Button3_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button3.Click
        If WebBrowser1.CanGoForward Then
            WebBrowser1.GoForward()
        Else
            MessageBox.Show("進むページがありません。", "進む")
        End If
    End Sub

    ' 中止ボタンの押下処理
    Private Sub Button4_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button4.Click
        WebBrowser1.Stop()
        Button4.Enabled = False
    End Sub

    ' 更新ボタンの押下処理
    Private Sub Button5_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button5.Click
        WebBrowser1.Refresh()
    End Sub

    ' ページ移動開始時の処理
    Private Sub WebBrowser1_Navigating(ByVal sender As Object, _
                        ByVal e As System.Windows.Forms.WebBrowserNavigatingEventArgs) _
                        Handles WebBrowser1.Navigating
        Button4.Enabled = True
    End Sub

    ' ページ移動完了時の処理
    Private Sub WebBrowser1_DocumentCompleted(ByVal sender As System.Object, _
                        ByVal e As System.Windows.Forms.WebBrowserDocumentCompletedEventArgs) _
                        Handles WebBrowser1.DocumentCompleted
        Me.Text = WebBrowser1.DocumentTitle
        TextBox1.Text = WebBrowser1.Url.ToString()
        Button2.Enabled = WebBrowser1.CanGoBack
        Button3.Enabled = WebBrowser1.CanGoForward
        Button4.Enabled = False
    End Sub
End Class
