﻿Public Class Form1
    ' フォームのロード処理
    Private Sub Form1_Load(ByVal sender As System.Object, _
                           ByVal e As System.EventArgs) Handles MyBase.Load
        StatusStrip1.ShowItemToolTips = True
        ToolStripSplitButton1.ToolTipText = "ページの表示"
        戻るBToolStripMenuItem.Enabled = False
        進むNToolStripMenuItem.Enabled = False
    End Sub

    ' ページの表示ボタンの押下処理
    Private Sub ToolStripSplitButton1_ButtonClick( _
                            ByVal sender As System.Object, ByVal e As System.EventArgs) _
                        Handles ToolStripSplitButton1.ButtonClick
        ShowPage()
    End Sub

    ' ページの表示メニューの選択処理
    Private Sub ページの表示PToolStripMenuItem_Click( _
                            ByVal sender As System.Object, ByVal e As System.EventArgs) _
                        Handles ページの表示PToolStripMenuItem.Click
        ShowPage()
    End Sub

    ' ホームの表示メニューの選択処理
    Private Sub ホームの表示HToolStripMenuItem_Click( _
                            ByVal sender As System.Object, ByVal e As System.EventArgs) _
                        Handles ホームの表示HToolStripMenuItem.Click
        WebBrowser1.GoHome()
    End Sub

    ' 戻るメニューの選択処理
    Private Sub 戻るBToolStripMenuItem_Click( _
                            ByVal sender As System.Object, ByVal e As System.EventArgs) _
                        Handles 戻るBToolStripMenuItem.Click
        WebBrowser1.GoBack()
    End Sub

    ' 進むメニューの選択処理
    Private Sub 進むNToolStripMenuItem_Click( _
                            ByVal sender As System.Object, ByVal e As System.EventArgs) _
                        Handles 進むNToolStripMenuItem.Click
        WebBrowser1.GoForward()
    End Sub

    ' 更新メニューの選択処理
    Private Sub 更新UToolStripMenuItem_Click( _
                            ByVal sender As System.Object, ByVal e As System.EventArgs) _
                        Handles 更新UToolStripMenuItem.Click
        WebBrowser1.Refresh()
    End Sub

    ' ページ移動完了時の処理
    Private Sub WebBrowser1_DocumentCompleted(ByVal sender As System.Object, _
                    ByVal e As System.Windows.Forms.WebBrowserDocumentCompletedEventArgs) _
                Handles WebBrowser1.DocumentCompleted
        With ToolStripStatusLabel1
            .Text = WebBrowser1.DocumentTitle
            .ToolTipText = "<タイトル>" & .Text
        End With
        With ToolStripStatusLabel2
            .Text = WebBrowser1.Url.ToString()
            .ToolTipText = "<URL>" & .Text
        End With
        戻るBToolStripMenuItem.Enabled = WebBrowser1.CanGoBack
        進むNToolStripMenuItem.Enabled = WebBrowser1.CanGoForward
    End Sub

    Private Sub ShowPage()
        Dim url As String = ""
        url = InputBox("表示するページのURLを入力してください。", "ページの表示", "http://")
        If url <> "" Then
            WebBrowser1.Navigate(url)
        End If
    End Sub
End Class
