﻿Public Class Form1
    ' 情報の取得ボタンの押下処理
    Private Sub Button1_Click(ByVal sender As System.Object, _
                              ByVal e As System.EventArgs) Handles Button1.Click
        TreeView1.Nodes.Clear()
        TreeView1.BeginUpdate()
        DirectoryEntry1.Path = "WinNT://" & SystemInformation.ComputerName
        If RadioButton1.Checked Then
            ' VB2005ではPropertyNames(i)の指定ができないため、246ページの下記のコードでは動作しません。
            ' For i As Integer = 0 To DirectoryEntry1.Properties.PropertyNames.Count - 1
            '     Dim name As String = DirectoryEntry1.Properties.PropertyNames(i).ToString()
            '     Dim data As String = DirectoryEntry1.Properties(name).Value.ToString()
            '     TreeView1.Nodes.Add(name & " = " & data)
            ' Next
            ' VB2005では、このように記述を変更してください。
            For Each name As String In DirectoryEntry1.Properties.PropertyNames
                Dim data As String = DirectoryEntry1.Properties(name).Value.ToString()
                TreeView1.Nodes.Add(name & " = " & data)
            Next
        Else
            For Each child As System.DirectoryServices.DirectoryEntry _
                                            In DirectoryEntry1.Children
                Dim name As String = child.SchemaClassName
                If (RadioButton2.Checked And name = "User") _
                    Or (RadioButton3.Checked And name = "Group") _
                    Or (RadioButton4.Checked And name = "Service") Then
                    TreeView1.Nodes.Add(child.Name)

                    Dim i As Integer = TreeView1.Nodes.Count - 1
                    ' VB2005ではPropertyNames(j)の指定ができないため、246ページの下記のコードでは動作しません。
                    ' For j As Integer = 0 To child.Properties.PropertyNames.Count - 1
                    '     Dim pname As String = child.Properties.PropertyNames(j).ToString()
                    '     Dim pdata As String = child.Properties(pname).Value.ToString()
                    '     TreeView1.Nodes(i).Nodes.Add(pname & " = " & pdata)
                    ' Next
                    ' VB2005では、このように記述を変更してください。
                    For Each pname As String In child.Properties.PropertyNames
                        Dim pdata As String = child.Properties(pname).Value.ToString()
                        TreeView1.Nodes(i).Nodes.Add(pname & " = " & pdata)
                    Next
                End If
            Next
        End If
        TreeView1.EndUpdate()
    End Sub
End Class
