﻿Public Class Form1
    ' フォームのロード処理
    Private Sub Form1_Load(ByVal sender As System.Object, _
                           ByVal e As System.EventArgs) Handles MyBase.Load
        Button1.Enabled = True
        Button2.Enabled = False
    End Sub

    ' 起動ボタンの押下処理
    Private Sub Button1_Click_1(ByVal sender As System.Object, _
                                ByVal e As System.EventArgs) Handles Button1.Click
        Dim app As String
        If RadioButton1.Checked Then
            app = "calc.exe"
        ElseIf RadioButton2.Checked Then
            app = "notepad.exe"
        Else
            app = "mspaint.exe"
        End If
        Process1.StartInfo.FileName = app
        Try
            Process1.Start()
            Button1.Enabled = False
            Button2.Enabled = True
            Process1.WaitForInputIdle()
            Timer1.Start()
        Catch ex As Exception
            MessageBox.Show(ex.Message, "起動")
        End Try
    End Sub

    ' 終了ボタンの押下処理
    Private Sub Button2_Click_1(ByVal sender As System.Object, _
                                ByVal e As System.EventArgs) Handles Button2.Click
        Process1.WaitForInputIdle()
        Process1.CloseMainWindow()
    End Sub

    ' タイマー処理
    Private Sub Timer1_Tick(ByVal sender As System.Object, _
                            ByVal e As System.EventArgs) Handles Timer1.Tick
        If Process1.HasExited Then
            Timer1.Stop()
            MessageBox.Show("終了しました。", "終了")
            Button1.Enabled = True
            Button2.Enabled = False
        End If
    End Sub
End Class
